@import '../../styles/variables.scss';

.filters {
  padding: 14px 0 0;

  border-bottom: 1px solid $gray-1;
  box-shadow: 0 3px 7px rgba(0, 0, 0, .06);

  font-family: 'Jost', sans-serif;

  &_list {
    @include reset-list;

    margin: 0 auto;
    max-width: $breakpoint-5;

    padding: 0 20px 5px;
    margin-bottom: -5px;

    width: 100%;
    display: flex;
    overflow-x: scroll;
    overflow-y: hidden;

    & li {
      margin-right: 36px;

      &:last-child {
        margin-right: 0;
      }
    }
  }

  &_button {
    @include reset-button;
    position: relative;

    padding-bottom: 14px;

    cursor: pointer;

    white-space: nowrap;
    font-size: 14px;
    color: $gray-4;

    &.__active {
      color: $black;

      &:before {
        content: '';

        position: absolute;
        left: 0;
        bottom: -1px;

        width: 100%;
        height: 2px;

        display: inline-block;

        background-color: $red;
      }
    }
  }
}

@media (min-width: $breakpoint-2) {
  .filters {
    &_list {
      padding: 0 0 5px;

      align-items: center;
      justify-content: center;
    }
  }
}